This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 67 - Hovering over nullable type shows wrong type
Summary: Hovering over nullable type shows wrong type
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: C# Binding (show other bugs)
Version: Trunk
Hardware: PC Linux
: High normal
Target Milestone: master
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2011-07-26 15:09 UTC by Marek Safar
Modified: 2016-07-13 14:42 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Marek Safar 2011-07-26 15:09:57 UTC
When hovering over nullable type in class MD show wrong type.

E.g int? shows int, etc
Comment 1 Mike Krüger 2011-07-27 10:36:23 UTC
Atm not really doable with the current approach - will work when the new resolver is in place.
Comment 2 Mike Krüger 2011-09-15 04:20:30 UTC
works better in the new resolver branch - having a good ast really helps ^^.
Comment 3 Alan McGovern 2011-11-14 16:23:11 UTC
Can this bug be closed now?
Comment 4 Mike Krüger 2011-12-07 07:26:11 UTC
y, fixed in newresolver branch.
Comment 5 Atin 2011-12-29 02:16:53 UTC
This issue is working fine , Please close this issue.

Environments:
MAC 10.7
Mono Develop 2.8.5 Stable.
Mono Touch 5.0.4 Stable
Mono Framework 2.0.7 Beta
Comment 6 xamarin-release-manager 2016-07-13 14:42:06 UTC
Fixed in version 6.1.0.5135 (cycle8)

Author: Eric Maupin
Commit: aa7b8032821ae45f9d0567d48a9634a6415f3ac4 (xamarin/ios-sim-sharp)
Included in Commit: 7aef028bb648590c60ad1c6d09183bb79c84d591 (mono/monodevelop)

Note You need to log in before you can comment on or make changes to this bug.